Bug Tracker – Bug 880

ACS bugs

Last modified: 2016-11-14 01:25:05 UTC
Bug 880 - ACS bugs
Summary: ACS bugs
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: (old) 0.6.x
Hardware: All All
: P1 normal
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks: 881 900
  Show dependency tree
 
Reported: 2012-07-22 04:39 UTC by JKist3
Modified: 2016-11-14 01:25 UTC (History)
3 users (show)

See Also:

Attachments

Possible fix: zero out level.vars array in G_InitLevelLocals (426 bytes, patch)
2012-08-01 05:14 UTC, Amateur Spammer
Details | Diff
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description JKist3 2012-07-22 04:39:29 UTC
ACS doesnt seem to be behaving correctly.  In zddl wad map07 and ma17 are very buggy.  odamex isnt letting players open the maps when they spawn inside closed places. and the acs isnt triggering to auto open up when this happens too.
Comment 1 Amateur Spammer 2012-07-31 17:05:49 UTC
pls make summary more descriptive

Note that (at least in single player) it works the first time you load a map.
This bug is due to map variable not being initialized to 0 on map load. (At least it's the immediate cause).
Comment 2 Amateur Spammer 2012-08-01 05:14:22 UTC
Created attachment 392 [details]
Possible fix: zero out level.vars array in G_InitLevelLocals

I don't think the exact location of memset call in G_InitLevelLocals is important.
Comment 3 Amateur Spammer 2012-08-18 11:26:40 UTC
Looks like ACS runs client-side too o_O
Using a vanilla client to connect to a server with this fix (after client have set the map var before) causes the floor to retain lava texture.
Comment 4 Dr. Sean 2012-09-03 19:28:08 UTC
Applied patch in r3347.  Thanks AmateurSpammer!
Comment 5 JKist3 2012-10-16 01:12:42 UTC
tried a new build.  This stuff still seems really buggy.  I attached a demo of the bugs im seeing.  In zddl map17 (doom2 map07) I spawned inside the ssg chamber.  Upon me moving, acs should trigger to auto lower the wall in 5 seconds or so... my client seemed to think this happened but the server obviosuly did not and I was trapped inside the chamber.  Also there is a switch inside that i should be able to use to lower the walls when I hit it.  It doesn't seem to work.  

Also when I lowered one of the platforms from the wall in my initial spawn I started hearing walls continually moving somewhere, this is a bug too.

http://www.speedyshare.com/uHFAZ/acsbugs.odd
Comment 6 JKist3 2012-10-16 01:28:57 UTC
tried a new build.  I attached a demo of it.  In zddl map17 (doom2 map07) I spawned inside the ssg chamber.  Upon me moving, acs triggered to auto lower the wall in 5 seconds as it should.  There is a switch inside the ssg chamber that i should be able to use to lower the walls when I hit it.  This did NOT work.  I'm not sure if this is acs related though.  The bfg area and platform seems to work fine.

http://www.speedyshare.com/SNUrj/acsbugs2.odd
Comment 7 JKist3 2012-10-16 01:33:46 UTC
when I alt tab out of a level with acs, I hear walls moving continuously.  This is a bug.
Comment 8 Amateur Spammer 2012-11-16 09:35:31 UTC
>tried a new build.  This stuff still seems really buggy.
You need the rebuild the server binary too. Did you?

PROTIP: you can attach files here.
Comment 9 Amateur Spammer 2012-12-16 12:53:16 UTC
(In reply to comment #6)
> There is a switch inside the ssg chamber
> that i should be able to use to lower the walls when I hit it.  This did NOT
> work.  I'm not sure if this is acs related though. 
It doesn't seem to be ACS related. Rather, it's just another incarnation of bug 890, except manifesting in Hexen format maps this time (rather than Doom as 890 is).

Is everything else fixed?
Comment 10 Ralph Vickers 2016-11-14 01:25:05 UTC
Not enough specific information in this bug and the comments start to trend towards the never-ending lift sound issue which is a different bug entirely. ACS does not work very well in Odamex online. However, as some fixes were applied in relation to the initial bug reported here, I'm going to mark it "fixed". Please make individual bugs for new issues. Thanks!